From jonathan@Think.COM Wed Dec  2 16:14:17 1992
Date: Wed, 2 Dec 92 09:59:00 PST
From: Jonny Goldman <jonathan@Think.COM>
To: wais-talk@Think.COM
Cc: bug-wais@Think.COM
Subject: bugs in b5.1 swais


There are two bugs in the b5.1 version of swais that make it unusable.

The first bug caused a segmentation fault the first time a status message
was printed if the code was compiled with a non-ANSI compiler (Sun's cc,
for instance).  The second bug prevented any useful results  from being
returned (as the number of documents requested was 0!).

Here's a context diff for the code:

*** screen-ui.c~	Sun Jul 12 14:10:25 1992
--- screen-ui.c	Wed Dec  2 09:34:14 1992
***************
*** 267,272 ****
--- 267,273 ----
    long logtype, loglevel;
    char *format;
  
+   va_start(ap);
    logtype = va_arg(ap, int);
    loglevel = va_arg(ap, int);
    format = va_arg(ap, char*);
***************
*** 1044,1049 ****
--- 1045,1051 ----
      question->ResultDocuments = NULL;
      question->numresdocs = listlength((List)question->ResultDocuments);
  
+     question->maxresdocs = *options[6].var.intptr;
      SearchWais(question);
      question->modified = FALSE;
  

- Jonny G
From owner-wais-talk@quake.think.com Thu Dec  3 18:50:38 1992
Received: from quake.think.com by SunSite.unc.edu (4.1/TAS/11-16-88)
	id AA06799; Thu, 3 Dec 92 18:50:35 EST
Received: by quake.think.com (4.1/SMI-4.0)
	id AA10347; Thu, 3 Dec 92 13:48:44 PST
Return-Path: <jonathan@philo.quake.think.com>
Received: from mail.think.com by quake.think.com (4.1/SMI-4.0)
	id AA09875; Thu, 3 Dec 92 13:47:55 PST
Received: from Think.COM by mail.think.com; Thu, 3 Dec 92 16:46:51 -0500
Received: from quake.think.com by Early-Bird.Think.COM; Thu, 3 Dec 92 16:46:40 EST
Received: from philo.quake.think.com by quake.think.com (4.1/SMI-4.0)
	id AA09175; Thu, 3 Dec 92 13:46:44 PST
Received: by philo.quake.think.com (4.1/SMI-4.1)
	id AA00624; Thu, 3 Dec 92 13:43:37 PST
Date: Thu, 3 Dec 92 13:43:37 PST
Message-Id: <9212032143.AA00624@philo.quake.think.com>
From: Jonny Goldman <jonathan@Think.COM>
Sender: jonathan@philo.quake.think.com
To: wais-talk@Think.COM
Cc: bug-wais@Think.COM
Subject: another bug in b5.1 swais
Status: R

There's another bug in the b5.1 swais.  This has to do with handling
document types.  This is relative to the patch I posted yesterday.

=== diff screen-ui.c~ screen-ui.c ===
*** /proj/wais/wais-8-b5.1/ui/screen-ui.c~	Wed Dec  2 09:34:14 1992
--- /proj/wais/wais-8-b5.1/ui/screen-ui.c	Thu Dec  3 13:24:35 1992
***************
*** 372,374 ****
  
!     if (strcmp(doc->doc->type, "WSRC")) {
          fprintf(stderr, "%s", "%s is not a WAIS source.  You can only USE WAIS sources.",
--- 372,374 ----
  
!     if ((doc->doc->type == NULL) || strcmp(doc->doc->type[0], "WSRC") != 0) {
          fprintf(stderr, "%s", "%s is not a WAIS source.  You can only USE WAIS sources.",
***************
*** 808,811 ****
          mvprintw(j++,0,"%s\t%s","Industry:   ",current_doc->doc->industry);
!     if (NULL != current_doc->doc->type) 
!         mvprintw(j++,0,"%s\t%s","Type:       ",current_doc->doc->type);
      mvprintw(j++,0,"%s\t%d","Score       ",current_doc->rawScore);
--- 808,811 ----
          mvprintw(j++,0,"%s\t%s","Industry:   ",current_doc->doc->industry);
!     if ((NULL != current_doc->doc->type) && current_doc->doc->type[0] != NULL)
!         mvprintw(j++,0,"%s\t%s","Type:       ",current_doc->doc->type[0]);
      mvprintw(j++,0,"%s\t%d","Score       ",current_doc->rawScore);


